OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGraph

# IGESGraph_UniformRectGrid Class Reference

defines IGESUniformRectGrid, Type <406> Form <22>
in package IGESGraph

`#include <IGESGraph_UniformRectGrid.hxx>`

Inheritance diagram for IGESGraph_UniformRectGrid:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGraph_UniformRectGrid ()
Standard_EXPORT void | Init (const Standard_Integer nbProps, const Standard_Integer finite, const Standard_Integer line, const Standard_Integer weighted, const gp_XY &aGridPoint, const gp_XY &aGridSpacing, const Standard_Integer pointsX, const Standard_Integer pointsY)
| This method is used to set the fields of the class UniformRectGrid - nbProps : Number of property values (NP = 9) - finite : Finite/Infinite grid flag - line : Line/Point grid flag - weighted : Weighted/Unweighted grid flag - aGridPoint : Point on the grid - aGridSpacing : Grid spacing - pointsX : No. of points/lines in X Direction - pointsY : No. of points/lines in Y Direction .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values in <me>.
Standard_EXPORT Standard_Boolean | IsFinite () const
| returns False if <me> is an infinite grid, True if <me> is a finite grid.
Standard_EXPORT Standard_Boolean | IsLine () const
| returns False if <me> is a Point grid, True if <me> is a Line grid.
Standard_EXPORT Standard_Boolean | IsWeighted () const
| returns False if <me> is a Weighted grid, True if <me> is not a Weighted grid.
Standard_EXPORT gp_Pnt2d | GridPoint () const
| returns coordinates of lower left corner, if <me> is a finite grid, coordinates of an arbitrary point, if <me> is an infinite grid.
Standard_EXPORT gp_Vec2d | GridSpacing () const
| returns the grid-spacing in drawing coordinates.
Standard_EXPORT Standard_Integer | NbPointsX () const
| returns the no. of points/lines in X direction (only applicable if IsFinite() = 1, i.e: a finite grid).
Standard_EXPORT Standard_Integer | NbPointsY () const
| returns the no. of points/lines in Y direction (only applicable if IsFinite() = 1, i.e: a finite grid).
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theNbPropertyValues
Standard_Integer | isItFinite
Standard_Integer | isItLine
Standard_Integer | isItWeighted
gp_XY | theGridPoint
gp_XY | theGridSpacing
Standard_Integer | theNbPointsX
Standard_Integer | theNbPointsY

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_UniformRectGrid::IGESGraph_UniformRectGrid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Pnt2d IGESGraph_UniformRectGrid::GridPoint | ( |  | ) | const

Standard_EXPORT gp_Vec2d IGESGraph_UniformRectGrid::GridSpacing | ( |  | ) | const

Standard_EXPORT const IGESGraph_UniformRectGrid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGraph_UniformRectGrid::Init | ( | const Standard_Integer | nbProps,
|  | const Standard_Integer | finite,
|  | const Standard_Integer | line,
|  | const Standard_Integer | weighted,
|  | const gp_XY & | aGridPoint,
|  | const gp_XY & | aGridSpacing,
|  | const Standard_Integer | pointsX,
|  | const Standard_Integer | pointsY
| ) |

Standard_EXPORT Standard_Boolean IGESGraph_UniformRectGrid::IsFinite | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESGraph_UniformRectGrid::IsLine | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESGraph_UniformRectGrid::IsWeighted | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGraph_UniformRectGrid::NbPointsX | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGraph_UniformRectGrid::NbPointsY | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGraph_UniformRectGrid::NbPropertyValues | ( |  | ) | const

## Field Documentation

Standard_Integer IGESGraph_UniformRectGrid::isItFinite`[private]`

Standard_Integer IGESGraph_UniformRectGrid::isItLine`[private]`

Standard_Integer IGESGraph_UniformRectGrid::isItWeighted`[private]`

gp_XY IGESGraph_UniformRectGrid::theGridPoint`[private]`

gp_XY IGESGraph_UniformRectGrid::theGridSpacing`[private]`

Standard_Integer IGESGraph_UniformRectGrid::theNbPointsX`[private]`

Standard_Integer IGESGraph_UniformRectGrid::theNbPointsY`[private]`

Standard_Integer IGESGraph_UniformRectGrid::theNbPropertyValues`[private]`

The documentation for this class was generated from the following file:

- IGESGraph_UniformRectGrid.hxx